//Legal Notice: (C)2008 Altera Corporation. All rights reserved.  Your
//use of Altera Corporation's design tools, logic functions and other
//software and tools, and its AMPP partner logic functions, and any
//output files any of the foregoing (including device programming or
//simulation files), and any associated documentation or information are
//expressly subject to the terms and conditions of the Altera Program
//License Subscription Agreement or other applicable license agreement,
//including, without limitation, that your use is for the sole purpose
//of programming logic devices manufactured by Altera and sold by Altera
//or its authorized distributors.  Please refer to the applicable
//agreement for further details.

// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module  busif_wrapper (
               // inputs:
                address,
                chipselect,
                clk,
                reset_n,
                write_n,
                writedata,
                io0_data_i,
                io1_data_i,
                io2_data_i,
                io3_data_i,
               // outputs:
                readdata,
                io0_data_o,
                int_user
             )
;

  output  [  7: 0] readdata;
  input   [  7: 0] address;
  input            chipselect;
  input            clk;
  input            reset_n;
  input            write_n;
  input   [  7: 0] writedata;
  input   [  7: 0] io0_data_i;
  input   [  7: 0] io1_data_i;
  input   [  7: 0] io2_data_i;
  input   [  7: 0] io3_data_i;
  output  [  3: 0] io0_data_o;
  output           int_user;
   
   
  wire             csb;
   
  assign           csb = ~ chipselect;
      
  BUSIF BUSIF_0 (
       .CLK(clk) 
       ,.RSTN(reset_n) 
       ,.CSB (csb) 
       ,.WENB(write_n) 
       ,.RENB(csb)  
       ,.ADR(address) 
       ,.WDATA(writedata)
       ,.IO0_DATA_I(io0_data_i)  
       ,.IO1_DATA_I(io1_data_i)  
       ,.IO2_DATA_I(io2_data_i)  
       ,.IO3_DATA_I(io3_data_i)     
       ,.RDATA(readdata) 
       ,.IO0_DATA_O(io0_data_o)
       ,.INT_USER(int_user)              
      );

   
   
endmodule

