// HFVZOgkdcfR[_
// 쐬ҎFCFi݌vAiXgj
// t@CFbcd7.v
module BCD7 (bcd ,led);
input [3:0] bcd ;
output [6:0] led ;
reg [6:0] led ;

/*

LED Bit Assignment

** Low active **

    A
   ---
F | G | B
   ---
E |   | C
   ---
    D
*/

always @( bcd )
    case (bcd)
//                        ABCDEFG
	4'b0000:led <= 7'b1111110;
	4'b0001:led <= 7'b0110000;
	4'b0010:led <= 7'b1101101;
	4'b0011:led <= 7'b1111001;
	4'b0100:led <= 7'b0110011;
	4'b0101:led <= 7'b1011011;
	4'b0110:led <= 7'b1011111;
	4'b0111:led <= 7'b1110010;
	4'b1000:led <= 7'b1111111;
	4'b1001:led <= 7'b1111011;
	default:led <= 7'b1001111; // Display "E"rror
    endcase
endmodule
