// HFCLKAhXEf[^oXC^[tFCX
// 쐬ҎFai݌vRT^gj
// t@CFbusif.v
// ɕKvȃt@CFadr_dec.v, bus_reg.v
module  BUSIF (CLK,RSTN,CSB,WENB,RENB,ADR,WDATA,RDATA
               ,IO0_DATA_I,IO1_DATA_I,IO2_DATA_I,IO3_DATA_I
               ,IO0_DATA_O
               ,INT_USER
              /*,ERR_IN1,ERR_IN2,IO3_DATA_I,IO3_W,IO3_DATA_O */);

input   CLK,RSTN,CSB,WENB,RENB;
input [7:0] ADR;
//inout [7:0] DATA; //폜@f[^͏݂Ɠǂݏo
input [7:0] WDATA;  // ǉ@oX݃f[^
output [7:0] RDATA; // ǉ@oXǏof[^
input [7:0] IO0_DATA_I; // ǉ@AhXOǂݏopf[^
input [7:0] IO1_DATA_I; // ǉ@AhXPǂݏopf[^
input [7:0] IO2_DATA_I; // ǉ@AhXQǂݏopf[^
input [7:0] IO3_DATA_I; // ǉ@AhXRǂݏopf[^
output [3:0] IO0_DATA_O; // ǉ@AhXObit7-3̃WX^l
output    INT_USER;   
/*   
//폜o͐M
input [7:0] ERR_IN1,ERR_IN2;
input [7:0] IO3_DATA_I;
output      IO3_W;
output[7:0] IO3_DATA_O;
*/
wire[7:0] IO0_DATA;   
wire  [7:0] RDATA ;
reg   [7:0] DATA_REG;  
wire  [7:0] ADR_S;    
reg   [7:0] ADR_REG;      
wire  [7:0] REG0,REG1,REG2,REG3;
wire  BASE_ADR_HIT;
wire  HIT0,HIT1,HIT2,HIT3;
//wire  DATA_OE ;
reg   [1:0] STAT_REG;

wire [7:0] READ_DATA_USER;

//INT
reg     [3:0] INT;
reg     [3:0] INT_MASK;
wire    INT_WR;
 
//LAP
reg     LAP_SIG;   
reg [2:0] LAP_INDEX;  
reg [23:0] LAP1;
reg [23:0] LAP2;
reg [23:0] LAP3;
reg [23:0] LAP4;
reg [23:0] LAP5;
reg [23:0] LAP6;
reg [23:0] LAP7;
reg [23:0] LAP8;
   
//Xe[g}Vpp[^

parameter [1:0] IDLE=2'b00;
parameter [1:0] WRITE=2'b01;
parameter [1:0] READ=2'b10;
parameter [1:0] READ_END=2'b11;
   
// state machine
   
function [1:0] NEXT_STAT;
   input [1:0]STAT_REG;
   input  CSB,WENB,RENB;
begin
   case (STAT_REG)
      IDLE:
         if (CSB ==1'b0) 
            if (WENB==1'b0) 
               NEXT_STAT = WRITE;
            else
               if (RENB==1'b0) 
                  NEXT_STAT = READ;
               else
                  NEXT_STAT = IDLE;
            else
               NEXT_STAT = IDLE;
      WRITE:
         if (WENB==1'b1) 
            NEXT_STAT = IDLE ;
         else
            NEXT_STAT = WRITE;
      READ:
         if (RENB==1'b1) 
            NEXT_STAT = READ_END  ;
         else
            NEXT_STAT = READ;
      READ_END:
         NEXT_STAT = IDLE ;
      default :
         NEXT_STAT = IDLE;
      endcase
   end
endfunction

always@(posedge CLK or negedge RSTN)
begin
   if (RSTN==1'b0) 
      STAT_REG <= IDLE ;
   else 
      STAT_REG <=NEXT_STAT(STAT_REG,CSB,WENB,RENB);
end

//폜@oX  
// BUS control
//assign DATA_OE = ((BASE_ADR_HIT==1'b1) & (RENB==1'b0)); 
//assign DATA    = (DATA_OE==1'b1)? RDATA:8'bZZZZZZZZ;

// DATA 
always@(posedge CLK or negedge RSTN)
begin
   if(RSTN == 1'b0)
      begin 
         DATA_REG <=8'b00000000;
         ADR_REG  <=8'b00000000;
      end
   else
      begin  
         if (WENB==1'b0) 
            DATA_REG <= WDATA;
         if ((WENB==1'b0)|(RENB==1'b0)) 
            ADR_REG <=ADR;
      end
end

assign ADR_S = ((WENB==1'b0)|(RENB==1'b0))? ADR:ADR_REG; 

   
assign IO0_DATA = {4'b0000,IO0_DATA_O[3:0]}; //ǉ@AhX0ǂݏof[^̃oCfBO
      
ADR_DEC ADR_DEC1(
            .ADR(ADR_S)
           ,.BASE_ADR(6'b000100),.BASE_HIT(BASE_ADR_HIT)
           //,.ADR0_DEC(2'b00),.ADR0_HIT(HIT0)  ,.ADR0_RDATA(REG0) @  //ڑύX
           ,.ADR0_DEC(2'b00),.ADR0_HIT(HIT0)  ,.ADR0_RDATA(IO0_DATA)   //ڑύX
           //,.ADR1_DEC(2'b01),.ADR1_HIT(HIT1)  ,.ADR1_RDATA(REG1)     //ڑύX
           ,.ADR1_DEC(2'b01),.ADR1_HIT(HIT1)  ,.ADR1_RDATA(IO1_DATA_I) //ڑύX
           //,.ADR2_DEC(2'b10),.ADR2_HIT(HIT2)  ,.ADR2_RDATA(REG2)     //ڑύX
           ,.ADR2_DEC(2'b10),.ADR2_HIT(HIT2)  ,.ADR2_RDATA(IO2_DATA_I) //ڑύX
           ,.ADR3_DEC(2'b11),.ADR3_HIT(HIT3)  ,.ADR3_RDATA(IO3_DATA_I)
           ,.DATA_OUT(READ_DATA_USER),.NO_HIT());
   

  assign RDATA = (ADR_S == 8'h0)?{4'b0000,INT}:
                 (ADR_S == 8'h8)?{4'b0000,INT_MASK}: 
                 (ADR_S == 8'hc)?{4'b0000,INT}:
                 (ADR_S == 8'h20)? {5'b00000,LAP_INDEX}:
                 (ADR_S == 8'h21)? LAP1[7:0]:
                 (ADR_S == 8'h22)? LAP1[15:8]:
                 (ADR_S == 8'h23)? LAP1[23:16]:
                 (ADR_S == 8'h25)? LAP2[7:0]:
                 (ADR_S == 8'h26)? LAP2[15:8]:
                 (ADR_S == 8'h27)? LAP2[23:16]:
                 (ADR_S == 8'h29)? LAP3[7:0]:
                 (ADR_S == 8'h2a)? LAP3[15:8]:
                 (ADR_S == 8'h2b)? LAP3[23:16]:
                 (ADR_S == 8'h2d)? LAP4[7:0]:
                 (ADR_S == 8'h2e)? LAP4[15:8]:
                 (ADR_S == 8'h2f)? LAP4[23:16]:
                 (ADR_S == 8'h31)? LAP5[7:0]:
                 (ADR_S == 8'h32)? LAP5[15:8]:
                 (ADR_S == 8'h33)? LAP5[23:16]:
                 (ADR_S == 8'h35)? LAP6[7:0]:
                 (ADR_S == 8'h36)? LAP6[15:8]:
                 (ADR_S == 8'h37)? LAP6[23:16]:
                 (ADR_S == 8'h39)? LAP7[7:0]:
                 (ADR_S == 8'h3a)? LAP7[15:8]:
                 (ADR_S == 8'h3b)? LAP7[23:16]:
                 (ADR_S == 8'h3d)? LAP8[7:0]:
                 (ADR_S == 8'h3e)? LAP8[15:8]:
                 (ADR_S == 8'h3f)? LAP8[23:16]:
                  READ_DATA_USER;
   
         
//REG0ȊO͕sv
BUS_REG BUS_REG1(
                   .CLK (CLK)
                  ,.RSTN(RSTN)
                  ,.DATA(DATA_REG)
                  ,.HIT0(HIT0) 
                  //,.HIT1(HIT1) 
                  //,.HIT2(HIT2) 
                  //,.HIT3(HIT3)
                  ,.REG0(IO0_DATA_O)  
                  //,.REG1(REG1)  
                  //,.REG2(REG2)  
                  ,.STAT_REG(STAT_REG)
                  ,.IDLE(IDLE)
                  ,.READ(READ)
                  ,.READ_END(READ_END)
                  ,.WRITE(WRITE)
                  ,.WENB(WENB)
                  ,.IN_DATA(IO0_DATA_I[3:0])
                  //,.ERR_IN1(ERR_IN1)
                  //,.ERR_IN2(ERR_IN2)
                  //,.IO3_W(IO3_W)
                  //,.IO3_DATA_O(IO3_DATA_O)
                  );

//irq
   //


   
  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
          INT_MASK <= 0;
      else if ((CSB==1'b0) && (WENB==1'b0) && (ADR_S == 8))
          INT_MASK <= WDATA[3 : 0];
    end


  assign INT_USER  = |(INT & INT_MASK);

  assign INT_WR = ((CSB==1'b0) && (WENB==1'b0) && (ADR_S == 12))?1'b1:1'b0;

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
          INT[0] <= 0;
      else
        if (INT_WR==1'b1)
            INT[0] <= 0;
        else if (IO0_DATA_I[0]==1'b1)
            INT[0] <= 1'b1;
    end

   
  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
          INT[1] <= 0;
      else 
        if (INT_WR==1'b1)
            INT[1] <= 0;
        else if (IO0_DATA_I[1]==1'b1)
            INT[1] <= 1'b1;
    end

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
          INT[2] <= 0;
      else
        if (INT_WR==1'b1)
            INT[2] <= 0;
        else if (IO0_DATA_I[2]==1'b1)
            INT[2] <= 1'b1;
    end

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
          INT[3] <= 0;
      else 
        if (INT_WR==1'b1)
            INT[3] <= 0;
        else if (IO0_DATA_I[3]==1'b1)
            INT[3] <= 1'b1;
    end

//LAP

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
        LAP_SIG <= 1'b0;
      else
        LAP_SIG <= IO0_DATA_I[2];
   end
   
  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
        LAP_INDEX <= 3'd0;
      else
        if(LAP_SIG==1'b1)
          LAP_INDEX <= LAP_INDEX + 3'd1;
        else
          LAP_INDEX <= LAP_INDEX ;
   end 
       
  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
        LAP1 <= 24'd0;
      else
        if ((LAP_SIG==1'b1)&&(LAP_INDEX==3'd0))
          LAP1 <= {IO3_DATA_I,IO2_DATA_I,IO1_DATA_I};
       else
          LAP1 <= LAP1;
    end

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
        LAP2 <= 24'd0;
      else
        if ((LAP_SIG==1'b1)&&(LAP_INDEX==3'd1))
          LAP2 <= {IO3_DATA_I,IO2_DATA_I,IO1_DATA_I};
       else
          LAP2 <= LAP2;
    end

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
        LAP3 <= 24'd0;
      else
        if ((LAP_SIG==1'b1)&&(LAP_INDEX==3'd2))
          LAP3 <= {IO3_DATA_I,IO2_DATA_I,IO1_DATA_I};
       else
          LAP3 <= LAP3;
    end

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
        LAP4 <= 24'd0;
      else
        if ((LAP_SIG==1'b1)&&(LAP_INDEX==3'd3))
          LAP4 <= {IO3_DATA_I,IO2_DATA_I,IO1_DATA_I};
       else
          LAP4 <= LAP4;
    end

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
        LAP5 <= 24'd0;
      else
        if ((LAP_SIG==1'b1)&&(LAP_INDEX==3'd4))
          LAP5 <= {IO3_DATA_I,IO2_DATA_I,IO1_DATA_I};
       else
          LAP5 <= LAP5;
    end

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
        LAP6 <= 24'd0;
      else
        if ((LAP_SIG==1'b1)&&(LAP_INDEX==3'd5))
          LAP6 <= {IO3_DATA_I,IO2_DATA_I,IO1_DATA_I};
       else
          LAP6 <= LAP6;
    end

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
        LAP7 <= 24'd0;
      else
        if ((LAP_SIG==1'b1)&&(LAP_INDEX==3'd6))
          LAP7 <= {IO3_DATA_I,IO2_DATA_I,IO1_DATA_I};
       else
          LAP7 <= LAP7;
    end            
  
  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
        LAP8 <= 24'd0;
      else
        if ((LAP_SIG==1'b1)&&(LAP_INDEX==3'd7))
          LAP8 <= {IO3_DATA_I,IO2_DATA_I,IO1_DATA_I};
       else
          LAP8 <= LAP8;
    end            
  
endmodule
