// HFCLKAhXEf[^oXC^[tFCX
// 쐬ҎFai݌vRT^gj
// t@CFbusif.v
// ɕKvȃt@CFadr_dec.v, bus_reg.v
module  BUSIF (CLK,RSTN,CSB,WENB,RENB,ADR,WDATA,RDATA
               ,IO0_DATA_I,IO1_DATA_I,IO2_DATA_I,IO3_DATA_I
               ,IO0_DATA_O
               ,INT_USER
              /*,ERR_IN1,ERR_IN2,IO3_DATA_I,IO3_W,IO3_DATA_O */);

input   CLK,RSTN,CSB,WENB,RENB;
input [7:0] ADR;
//inout [7:0] DATA; //폜@f[^͏݂Ɠǂݏo
input [7:0] WDATA;  // ǉ@oX݃f[^
output [7:0] RDATA; // ǉ@oXǏof[^
input [7:0] IO0_DATA_I; // ǉ@AhXOǂݏopf[^
input [7:0] IO1_DATA_I; // ǉ@AhXPǂݏopf[^
input [7:0] IO2_DATA_I; // ǉ@AhXQǂݏopf[^
input [7:0] IO3_DATA_I; // ǉ@AhXRǂݏopf[^
output [3:0] IO0_DATA_O; // ǉ@AhXObit7-3̃WX^l
output    INT_USER;   
/*   
//폜o͐M
input [7:0] ERR_IN1,ERR_IN2;
input [7:0] IO3_DATA_I;
output      IO3_W;
utput[7:0] IO3_DATA_O;
*/
wire[7:0] IO0_DATA;   
wire  [7:0] RDATA ;
reg   [7:0] DATA_REG;  
wire  [7:0] ADR_S;    
reg   [7:0] ADR_REG;      
wire  [7:0] REG0,REG1,REG2,REG3;
wire  BASE_ADR_HIT;
wire  HIT0,HIT1,HIT2,HIT3;
//wire  DATA_OE ;
reg   [1:0] STAT_REG;

wire [7:0] READ_DATA_USER;

//INT
/*
reg     [3:0] INT;
reg     [3:0] INT_MASK;
wire    INT_WR;
*/ 
   
//Xe[g}Vpp[^

parameter [1:0] IDLE=2'b00;
parameter [1:0] WRITE=2'b01;
parameter [1:0] READ=2'b10;
parameter [1:0] READ_END=2'b11;
   
// state machine
   
function [1:0] NEXT_STAT;
   input [1:0]STAT_REG;
   input  CSB,WENB,RENB;
begin
   case (STAT_REG)
      IDLE:
         if (CSB ==1'b0) 
            if (WENB==1'b0) 
               NEXT_STAT = WRITE;
            else
               if (RENB==1'b0) 
                  NEXT_STAT = READ;
               else
                  NEXT_STAT = IDLE;
            else
               NEXT_STAT = IDLE;
      WRITE:
         if (WENB==1'b1) 
            NEXT_STAT = IDLE ;
         else
            NEXT_STAT = WRITE;
      READ:
         if (RENB==1'b1) 
            NEXT_STAT = READ_END  ;
         else
            NEXT_STAT = READ;
      READ_END:
         NEXT_STAT = IDLE ;
      default :
         NEXT_STAT = IDLE;
      endcase
   end
endfunction

always@(posedge CLK or negedge RSTN)
begin
   if (RSTN==1'b0) 
      STAT_REG <= IDLE ;
   else 
      STAT_REG <=NEXT_STAT(STAT_REG,CSB,WENB,RENB);
end

//폜@oX  
// BUS control
//assign DATA_OE = ((BASE_ADR_HIT==1'b1) & (RENB==1'b0)); 
//assign DATA    = (DATA_OE==1'b1)? RDATA:8'bZZZZZZZZ;

// DATA 
always@(posedge CLK or negedge RSTN)
begin
   if(RSTN == 1'b0)
      begin 
         DATA_REG <=8'b00000000;
         ADR_REG  <=8'b00000000;
      end
   else
      begin  
         if (WENB==1'b0) 
            DATA_REG <= WDATA;
         if ((WENB==1'b0)|(RENB==1'b0)) 
            ADR_REG <=ADR;
      end
end

assign ADR_S = ((WENB==1'b0)|(RENB==1'b0))? ADR:ADR_REG; 

   
assign IO0_DATA = {4'b0000,IO0_DATA_O[3:0]}; //ǉ@AhX0ǂݏof[^̃oCfBO
      
ADR_DEC ADR_DEC1(
            .ADR(ADR_S)
           ,.BASE_ADR(6'b000100),.BASE_HIT(BASE_ADR_HIT)
           //,.ADR0_DEC(2'b00),.ADR0_HIT(HIT0)  ,.ADR0_RDATA(REG0) @  //ڑύX
           ,.ADR0_DEC(2'b00),.ADR0_HIT(HIT0)  ,.ADR0_RDATA(IO0_DATA)   //ڑύX
           //,.ADR1_DEC(2'b01),.ADR1_HIT(HIT1)  ,.ADR1_RDATA(REG1)     //ڑύX
           ,.ADR1_DEC(2'b01),.ADR1_HIT(HIT1)  ,.ADR1_RDATA(IO1_DATA_I) //ڑύX
           //,.ADR2_DEC(2'b10),.ADR2_HIT(HIT2)  ,.ADR2_RDATA(REG2)     //ڑύX
           ,.ADR2_DEC(2'b10),.ADR2_HIT(HIT2)  ,.ADR2_RDATA(IO2_DATA_I) //ڑύX
           ,.ADR3_DEC(2'b11),.ADR3_HIT(HIT3)  ,.ADR3_RDATA(IO3_DATA_I)
           ,.DATA_OUT(READ_DATA_USER),.NO_HIT());
   
/*
  assign RDATA = (ADR_S == 0)?{4'b0000,INT}:
                 (ADR_S == 8)?{4'b0000,INT_MASK}: 
                 (ADR_S == 12)?{4'b0000,INT}:
                  READ_DATA_USER;
*/
   
  assign RDATA = READ_DATA_USER;
   
         
//REG0ȊO͕sv
BUS_REG BUS_REG1(
                   .CLK (CLK)
                  ,.RSTN(RSTN)
                  ,.DATA(DATA_REG)
                  ,.HIT0(HIT0) 
                  //,.HIT1(HIT1) 
                  //,.HIT2(HIT2) 
                  //,.HIT3(HIT3)
                  ,.REG0(IO0_DATA_O)  
                  //,.REG1(REG1)  
                  //,.REG2(REG2)  
                  ,.STAT_REG(STAT_REG)
                  ,.IDLE(IDLE)
                  ,.READ(READ)
                  ,.READ_END(READ_END)
                  ,.WRITE(WRITE)
                  ,.WENB(WENB)
                  ,.IN_DATA(IO0_DATA_I[3:0])
                  //,.ERR_IN1(ERR_IN1)
                  //,.ERR_IN2(ERR_IN2)
                  //,.IO3_W(IO3_W)
                  //,.IO3_DATA_O(IO3_DATA_O)
                  );

//not use irq 

assign INT_USER = 1'b0;
   
   //  
/*
  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
          INT_MASK <= 0;
      else if ((CSB==1'b0) && (WENB==1'b0) && (ADR_S == 8))
          INT_MASK <= WDATA[3 : 0];
    end


  assign INT_USER  = |(INT & INT_MASK);

  assign INT_WR = ((CSB==1'b0) && (WENB==1'b0) && (ADR_S == 12))?1'b1:1'b0;

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
          INT[0] <= 0;
      else
        if (INT_WR==1'b1)
            INT[0] <= 0;
        else if (IO0_DATA_I[0]==1'b1)
            INT[0] <= 1'b1;
    end

   
  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
          INT[1] <= 0;
      else 
        if (INT_WR==1'b1)
            INT[1] <= 0;
        else if (IO0_DATA_I[1]==1'b1)
            INT[1] <= 1'b1;
    end

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
          INT[2] <= 0;
      else
        if (INT_WR==1'b1)
            INT[2] <= 0;
        else if (IO0_DATA_I[2]==1'b1)
            INT[2] <= 1'b1;
    end

  always @(posedge CLK or negedge RSTN)
    begin
      if (RSTN == 0)
          INT[3] <= 0;
      else 
        if (INT_WR==1'b1)
            INT[3] <= 0;
        else if (IO0_DATA_I[3]==1'b1)
            INT[3] <= 1'b1;
    end
*/

  
endmodule
